Compression Utilities
=====================

SensitivityAnalysis
-------------------

.. autoclass:: nni.compression.pytorch.utils.SensitivityAnalysis
    :members:

ChannelDependency
-----------------

.. autoclass:: nni.compression.pytorch.utils.ChannelDependency
    :members:

GroupDependency
---------------

.. autoclass:: nni.compression.pytorch.utils.GroupDependency
    :members:

ChannelMaskConflict
-------------------

.. autoclass:: nni.compression.pytorch.utils.ChannelMaskConflict
    :members:

GroupMaskConflict
-----------------

.. autoclass:: nni.compression.pytorch.utils.GroupMaskConflict
    :members:

count_flops_params
------------------

.. autofunction:: nni.compression.pytorch.utils.count_flops_params

compute_sparsity
----------------

.. autofunction:: nni.algorithms.compression.v2.pytorch.utils.pruning.compute_sparsity
